MongoGridFSCursor
MongoGridFSCursor::current
MongoGridFSCursor
PHP Manual

# MongoGridFSCursor::__construct

(PECL mongo >=0.9.0)

MongoGridFSCursor::__construct — Create a new cursor

### Beschreibung

MongoGridFSCursor::__construct ( MongoGridFS `$gridfs` , resource `$connection` , string `$ns` [, array `$query` = array() [, array `$fields` = array() ]] )

### Parameter-Liste

`gridfs`

  Related GridFS collection.

`connection`

  Database connection.

`ns`

  Full name of database and collection.

`query`

  Database query.

`fields`

  Fields to return.

### Rückgabewerte

Returns the new cursor.

MongoGridFSCursor
MongoGridFSCursor::current
MongoGridFSCursor
PHP Manual